org.eclipse.mat.hprof

## Enum ExportHprof.RedactType

- java.lang.Object
- - java.lang.Enum<ExportHprof.RedactType>
  - - org.eclipse.mat.hprof.ExportHprof.RedactType

All Implemented Interfaces:
  Serializable, Comparable<ExportHprof.RedactType>

Enclosing class:
  ExportHprof

    public static enum ExportHprof.RedactType
    extends Enum<ExportHprof.RedactType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BASIC`
`FULL`
`NAMES`
`NONE`

### Method Summary

All Methods Static Methods Concrete Methods
`static ExportHprof.RedactType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ExportHprof.RedactType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final ExportHprof.RedactType NONE

#### NAMES

    public static final ExportHprof.RedactType NAMES

#### BASIC

    public static final ExportHprof.RedactType BASIC

#### FULL

    public static final ExportHprof.RedactType FULL

### Method Detail

#### values

    public static ExportHprof.RedactType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ExportHprof.RedactType c : ExportHprof.RedactType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ExportHprof.RedactType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null